Bug 1397590 - [RFE] “Unregister Host” needs a clear instruction for options under it
Summary: [RFE] “Unregister Host” needs a clear instruction for options under it
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Host Form
Version: 6.2.2
Hardware: x86_64
OS: Linux
high
medium vote
Target Milestone: Released
Assignee: Ashish Humbe
QA Contact: vijsingh
URL:
Whiteboard:
: 1556733 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-22 22:01 UTC by Manikandan Somasundaram
Modified: 2019-10-07 17:13 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:36:19 UTC


Attachments (Terms of Use)
Select Settings (69.09 KB, image/png)
2019-01-03 12:43 UTC, vijsingh
no flags Details
Unregister content host (138.67 KB, image/png)
2019-01-03 12:43 UTC, vijsingh
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:36:28 UTC
Foreman Issue Tracker 21051 None None None 2018-06-13 06:45:42 UTC
Red Hat Knowledge Base (Solution) 1504603 None None None 2017-02-04 16:50:40 UTC

Comment 2 jcallaha 2016-11-29 18:37:14 UTC
What specifically are you looking for? Here is the current text with the two options.


Unregister Host "virt-who-5c41cf58.07bb.4c46.8e7b.85b82dd12016-1"?
Unregister Options:

 Unregister the host as a subscription consumer. Provisioning and configuration information is preserved.

 Completely deletes the host record and removes all reporting, provisioning, and configuration information.

Comment 11 dgupte 2018-05-09 01:42:02 UTC
*** Bug 1556733 has been marked as a duplicate of this bug. ***

Comment 13 pm-sat@redhat.com 2018-06-13 08:17:44 UTC
Upstream bug assigned to walden@redhat.com

Comment 14 pm-sat@redhat.com 2018-06-13 08:17:49 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/21051 has been resolved.

Comment 21 vijsingh 2019-01-03 12:42:48 UTC
Verified:

@Satellite 6.5.0 Snap 9.0

Steps:

 a. Administer => Settings => 'Delete Host upon unregister' = Yes
 b. Hosts => Content Host => Host => Unregister Host => Select 'Completely deletes the host record and removes all reporting, provisioning, and configuration information.'


Observation:

- Able to see warning: 'This operation may also remove managed resources linked to the host such as virtual machines and DNS records. Change the setting "Delete Host upon Unregister" to false on the settings page to prevent this.'
- Attached related screenshots

Comment 22 vijsingh 2019-01-03 12:43:20 UTC
Created attachment 1518134 [details]
Select Settings

Comment 23 vijsingh 2019-01-03 12:43:44 UTC
Created attachment 1518135 [details]
Unregister content host

Comment 27 errata-xmlrpc 2019-05-14 12:36:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.